Get Workflow Runs
curl --request GET \
--url https://api.peachdeskai.com/api/v1/superuser/workflow-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/superuser/workflow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/superuser/workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/superuser/workflow-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/superuser/workflow-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/superuser/workflow-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/superuser/workflow-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"workflow_runs": [
{
"id": 123,
"name": "<string>",
"workflow_id": 123,
"workflow_name": "<string>",
"user_id": 123,
"organization_id": 123,
"organization_name": "<string>",
"mode": "<string>",
"is_completed": true,
"recording_url": "<string>",
"transcript_url": "<string>",
"usage_info": {},
"cost_info": {},
"initial_context": {},
"gathered_context": {},
"created_at": "2023-11-07T05:31:56Z",
"state": "<string>"
}
],
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Get Workflow Runs
Get paginated list of all workflow runs with organization information.
Requires superuser privileges.
Filters should be provided as a JSON-encoded array of filter criteria.
Example: [{"field": "id", "type": "number", "value": {"value": 680}}]
GET
/
api
/
v1
/
superuser
/
workflow-runs
Get Workflow Runs
curl --request GET \
--url https://api.peachdeskai.com/api/v1/superuser/workflow-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/superuser/workflow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/superuser/workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/superuser/workflow-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/superuser/workflow-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/superuser/workflow-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/superuser/workflow-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"workflow_runs": [
{
"id": 123,
"name": "<string>",
"workflow_id": 123,
"workflow_name": "<string>",
"user_id": 123,
"organization_id": 123,
"organization_name": "<string>",
"mode": "<string>",
"is_completed": true,
"recording_url": "<string>",
"transcript_url": "<string>",
"usage_info": {},
"cost_info": {},
"initial_context": {},
"gathered_context": {},
"created_at": "2023-11-07T05:31:56Z",
"state": "<string>"
}
],
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Query Parameters
Page number (starts from 1)
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100JSON-encoded filter criteria
Field to sort by (e.g., 'duration', 'created_at')
Sort order ('asc' or 'desc')

